Bug 145856 - manual edit of keyring manager fields
manual edit of keyring manager fields
Product: Fedora
Classification: Fedora
Component: gnome-keyring-manager (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2005-01-22 12:06 EST by jmw
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-14 08:40:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jmw 2005-01-22 12:06:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.5)

Description of problem:
keyring manager allows manual edit of 'keys', but no manual edit of
application access rights.  only manual removal of access rights is

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. gnome-keyring-manager; default; 
2. select item; advanced; find 'Add' and 'Remove' in attributes
3. 'remove' is only option in application access rights

Actual Results:  not able to add application access rights.  for
example, cannot manually add Nautilus access to one or more shares on
local network.

Expected Results:  should be able to fully modify application access
rights, from root account.

Additional info:

this is part of a problem with Samba shares in FC3.  Win2k machines
can fully access folders in FC3, FC3 can only browse top-level
directory on Win2K machines.  Guest accounts are enabled.  IP
addresses are assigned through hardware DHCP.  RPC running on Win2K
machines.  all machines in same workgroup.  there is no DNS on this

to get login permission on Win2K machine, i must first right-click on
the host icon in FC3 'network'.  this returns two menus -- one on top
of the other.  i enter username, domain, password, and save.  this
procedure is the only apparent alternate to manual edit in the keyring
Comment 1 jmw 2005-01-22 12:08:02 EST
Comment 2 Matthew Miller 2006-07-10 19:08:50 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 Alexander Larsson 2006-08-14 08:40:10 EDT
I know upstream is working on this. Part of the fix (the gnome-keyring API)
should be in fc6 at least.

Note You need to log in before you can comment on or make changes to this bug.